Skip to main content
`Ctrl`+`K`

# NEPNLEIGSGetSingularitiesFunction

Returns the callback function and optionally the user provided context for computing a discretization of the singularity set.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPNLEIGSGetSingularitiesFunction(NEP nep,NEPNLEIGSSingularitiesFn **fun,void **ctx)

Not Collective

## Input Parameter

- nep - the nonlinear eigensolver context

## Output Parameters

- fun - location to put the function (or `NULL`)

- ctx - location to stash the function context (or `NULL`)

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPNLEIGS`, `NEPNLEIGSSetSingularitiesFunction()`

## Level

intermediate

## Location

src/nep/impls/nleigs/nleigs.c

## Implementations

NEPNLEIGSGetSingularitiesFunction_NLEIGS() in src/nep/impls/nleigs/nleigs.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages